'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.layers = undefined;

var _forEach2 = require('lodash/forEach');

var _forEach3 = _interopRequireDefault(_forEach2);

var _kebabCase2 = require('lodash/kebabCase');

var _kebabCase3 = _interopRequireDefault(_kebabCase2);

exports.themeLayersAsScss = themeLayersAsScss;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var layers = exports.layers = {
  front: 1,
  toolbar: 2,
  alert: 3,
  notification: 4,
  dropdown: 5,
  tooltip: 6,
  modal: 7
};

// Collects all theme z-index layers as SCSS vars
function themeLayersAsScss() {
  var themeLayers = [];

  (0, _forEach3.default)(layers, function (value, name) {
    themeLayers.push('$layer-' + (0, _kebabCase3.default)(name) + ': ' + value);
  });

  return themeLayers;
}